<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>velocityInlet.f03 &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>velocityInlet.f03
    <small>Source File</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.4% of total for source files.">88 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/velocityInlet.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
  
     <li class="active">velocityInlet.f03</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 














<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#subs-0">Subroutines</a></h3></div>
  <div class="list-group">
    <div id="subs-0" class="panel-collapse collapse">
      
      <a class="list-group-item" href="../proc/velocityinletboundary.html">velocityInletBoundary</a>
      
      <a class="list-group-item" href="../proc/updatevelocityinletboundaryfield.html">updateVelocityInletBoundaryField</a>
      
      <a class="list-group-item" href="../proc/updatecustominletboundaryfield.html">updateCustomInletBoundaryField</a>
      
      <a class="list-group-item" href="../proc/velocityinletboundarydiffusiononly.html">velocityInletBoundaryDiffusionOnly</a>
      
    </div>
  </div>
</div>









<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title">Source Code</h3></div>
  <div class="list-group">
    <a class="list-group-item" href="../sourcefile/velocityinlet.f03.html#src">velocityInlet.f03</a>
  </div>
</div>



</div>

    </div>
    <div class="col-md-9" id='text'>
      
      <br>
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">This file depends on</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: sourcefile~~velocityinlet.f03~~EfferentGraph Pages: 1 -->
<svg id="sourcefilevelocityinletf03EfferentGraph" width="641pt" height="435pt"
 viewBox="0.00 0.00 641.00 435.14" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph" class="graph" transform="scale(.6163 .6163) rotate(0) translate(4 702)">
<title>sourcefile~~velocityinlet.f03~~EfferentGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-702 1036,-702 1036,4 -4,4"/>
<!-- sourcefile~velocityinlet.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node1" class="node">
<title>sourcefile~velocityinlet.f03</title>
<polygon fill="none" stroke="#000000" points="1032,-658 946,-658 946,-634 1032,-634 1032,-658"/>
<text text-anchor="middle" x="989" y="-643.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">velocityInlet.f03</text>
</g>
<!-- sourcefile~massflowvar.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node2" class="node">
<title>sourcefile~massflowvar.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node2"><a xlink:href=".././sourcefile/massflowvar.f03.html" xlink:title="massFlowVar.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="910,-698 816,-698 816,-674 910,-674 910,-698"/>
<text text-anchor="middle" x="863" y="-683.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">massFlowVar.f03</text>
</a>
</g>
</g>
<!-- sourcefile~velocityinlet.f03&#45;&gt;sourcefile~massflowvar.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge1" class="edge">
<title>sourcefile~velocityinlet.f03&#45;&gt;sourcefile~massflowvar.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M951.1958,-658.0013C938.4798,-662.0382 924.1241,-666.5955 910.745,-670.8429"/>
<polygon fill="#000000" stroke="#000000" points="909.6852,-667.5071 901.213,-673.8689 911.8033,-674.179 909.6852,-667.5071"/>
</g>
<!-- sourcefile~globaltimevar.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node3" class="node">
<title>sourcefile~globaltimevar.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node3"><a xlink:href=".././sourcefile/globaltimevar.f03.html" xlink:title="globalTimeVar.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="237.5,-517 138.5,-517 138.5,-493 237.5,-493 237.5,-517"/>
<text text-anchor="middle" x="188" y="-502.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">globalTimeVar.f03</text>
</a>
</g>
</g>
<!-- sourcefile~velocityinlet.f03&#45;&gt;sourcefile~globaltimevar.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge2" class="edge">
<title>sourcefile~velocityinlet.f03&#45;&gt;sourcefile~globaltimevar.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M945.6429,-646C895.7862,-646 811.4826,-646 739,-646 739,-646 739,-646 496,-646 398.8607,-646 370.7653,-634.6109 285,-589 253.6776,-572.3424 223.7885,-543.9036 205.6703,-524.7871"/>
<polygon fill="#000000" stroke="#000000" points="208.0232,-522.1772 198.6561,-517.2266 202.8915,-526.938 208.0232,-522.1772"/>
</g>
<!-- sourcefile~meshvar.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node4" class="node">
<title>sourcefile~meshvar.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node4"><a xlink:href=".././sourcefile/meshvar.f03.html" xlink:title="meshvar.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="898.5,-271 827.5,-271 827.5,-247 898.5,-247 898.5,-271"/>
<text text-anchor="middle" x="863" y="-256.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">meshvar.f03</text>
</a>
</g>
</g>
<!-- sourcefile~velocityinlet.f03&#45;&gt;sourcefile~meshvar.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge3" class="edge">
<title>sourcefile~velocityinlet.f03&#45;&gt;sourcefile~meshvar.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M985.0909,-633.9935C967.272,-579.264 893.6055,-353.0027 870.1838,-281.0646"/>
<polygon fill="#000000" stroke="#000000" points="873.4123,-279.6751 866.9884,-271.25 866.7562,-281.8423 873.4123,-279.6751"/>
</g>
<!-- sourcefile~flubiomesh.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node5" class="node">
<title>sourcefile~flubiomesh.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node5"><a xlink:href=".././sourcefile/flubiomesh.f03.html" xlink:title="flubioMesh.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="780,-271 698,-271 698,-247 780,-247 780,-271"/>
<text text-anchor="middle" x="739" y="-256.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubioMesh.f03</text>
</a>
</g>
</g>
<!-- sourcefile~meshvar.f03&#45;&gt;sourcefile~flubiomesh.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge4" class="edge">
<title>sourcefile~meshvar.f03&#45;&gt;sourcefile~flubiomesh.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M827.4666,-259C815.9489,-259 802.9311,-259 790.4943,-259"/>
<polygon fill="#000000" stroke="#000000" points="790.2297,-255.5001 780.2296,-259 790.2296,-262.5001 790.2297,-255.5001"/>
</g>
<!-- sourcefile~globalmeshvar.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node6" class="node">
<title>sourcefile~globalmeshvar.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node6"><a xlink:href=".././sourcefile/globalmeshvar.f03.html" xlink:title="globalMeshVar.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="238.5,-164 137.5,-164 137.5,-140 238.5,-140 238.5,-164"/>
<text text-anchor="middle" x="188" y="-149.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">globalMeshVar.f03</text>
</a>
</g>
</g>
<!-- sourcefile~meshvar.f03&#45;&gt;sourcefile~globalmeshvar.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge5" class="edge">
<title>sourcefile~meshvar.f03&#45;&gt;sourcefile~globalmeshvar.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M827.4419,-249.5256C787.2903,-238.8503 719.9919,-221.0262 662,-206 613.1648,-193.3464 601.6128,-187.1409 552,-178 460.6997,-161.1784 437.221,-158.6406 344.5,-154"/>
</g>
<!-- sourcefile~flubiomesh.f03&#45;&gt;sourcefile~globalmeshvar.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge6" class="edge">
<title>sourcefile~flubiomesh.f03&#45;&gt;sourcefile~globalmeshvar.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M496,-192C428.6564,-175.1521 413.8323,-157.4701 344.5,-154"/>
</g>
<!-- sourcefile~math.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node7" class="node">
<title>sourcefile~math.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node7"><a xlink:href=".././sourcefile/math.f03.html" xlink:title="math.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="215.5,-206 160.5,-206 160.5,-182 215.5,-182 215.5,-206"/>
<text text-anchor="middle" x="188" y="-191.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">math.f03</text>
</a>
</g>
</g>
<!-- sourcefile~flubiomesh.f03&#45;&gt;sourcefile~math.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge9" class="edge">
<title>sourcefile~flubiomesh.f03&#45;&gt;sourcefile~math.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M496,-192C400.7552,-169.5167 284.2808,-180.2017 225.6069,-188.1221"/>
<polygon fill="#000000" stroke="#000000" points="225.099,-184.659 215.6805,-189.5111 226.0691,-191.5914 225.099,-184.659"/>
</g>
<!-- sourcefile~flubiodictionaries.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node8" class="node">
<title>sourcefile~flubiodictionaries.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node8"><a xlink:href=".././sourcefile/flubiodictionaries.f03.html" xlink:title="flubioDictionaries.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="552,-391 440,-391 440,-367 552,-367 552,-391"/>
<text text-anchor="middle" x="496" y="-376.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubioDictionaries.f03</text>
</a>
</g>
</g>
<!-- sourcefile~flubiomesh.f03&#45;&gt;sourcefile~flubiodictionaries.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge7" class="edge">
<title>sourcefile~flubiomesh.f03&#45;&gt;sourcefile~flubiodictionaries.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M714.3626,-271.1666C670.4946,-292.8298 578.8216,-338.1005 529.3554,-362.5282"/>
<polygon fill="#000000" stroke="#000000" points="527.7579,-359.4135 520.3413,-366.9796 530.8574,-365.6899 527.7579,-359.4135"/>
</g>
<!-- sourcefile~flubioboundaries.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node9" class="node">
<title>sourcefile~flubioboundaries.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node9"><a xlink:href=".././sourcefile/flubioboundaries.f03.html" xlink:title="flubioBoundaries.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="399.5,-126 289.5,-126 289.5,-102 399.5,-102 399.5,-126"/>
<text text-anchor="middle" x="344.5" y="-111.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubioBoundaries.f03</text>
</a>
</g>
</g>
<!-- sourcefile~flubiomesh.f03&#45;&gt;sourcefile~flubioboundaries.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge10" class="edge">
<title>sourcefile~flubiomesh.f03&#45;&gt;sourcefile~flubioboundaries.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M706.9824,-246.9731C661.0689,-230.4681 573.5057,-201.7347 496,-192"/>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M496,-192C450.288,-181.2093 446.0189,-160.9865 404,-140 397.3438,-136.6756 390.1649,-133.3371 383.1753,-130.2129"/>
<polygon fill="#000000" stroke="#000000" points="384.3913,-126.9243 373.8281,-126.1068 381.5759,-133.3332 384.3913,-126.9243"/>
</g>
<!-- sourcefile~elements.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node10" class="node">
<title>sourcefile~elements.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node10"><a xlink:href=".././sourcefile/elements.f03.html" xlink:title="elements.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="662,-271 588,-271 588,-247 662,-247 662,-271"/>
<text text-anchor="middle" x="625" y="-256.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">elements.f03</text>
</a>
</g>
</g>
<!-- sourcefile~flubiomesh.f03&#45;&gt;sourcefile~elements.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge8" class="edge">
<title>sourcefile~flubiomesh.f03&#45;&gt;sourcefile~elements.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M697.8434,-259C689.5912,-259 680.8578,-259 672.4134,-259"/>
<polygon fill="#000000" stroke="#000000" points="672.3082,-255.5001 662.3081,-259 672.3081,-262.5001 672.3082,-255.5001"/>
</g>
<!-- sourcefile~flubiooptionsdict.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node11" class="node">
<title>sourcefile~flubiooptionsdict.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node11"><a xlink:href=".././sourcefile/flubiooptionsdict.f03.html" xlink:title="flubioOptionsDict.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="400,-328 289,-328 289,-304 400,-304 400,-328"/>
<text text-anchor="middle" x="344.5" y="-313.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubioOptionsDict.f03</text>
</a>
</g>
</g>
<!-- sourcefile~flubiodictionaries.f03&#45;&gt;sourcefile~flubiooptionsdict.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge11" class="edge">
<title>sourcefile~flubiodictionaries.f03&#45;&gt;sourcefile~flubiooptionsdict.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M471.2702,-366.9852C452.8964,-358.2367 427.1186,-346.3353 404,-337 399.4767,-335.1735 394.7267,-333.347 389.9657,-331.5758"/>
<polygon fill="#000000" stroke="#000000" points="390.8408,-328.1696 380.2468,-328.0355 388.4449,-334.7468 390.8408,-328.1696"/>
</g>
<!-- sourcefile~flubiosteadystate.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node12" class="node">
<title>sourcefile~flubiosteadystate.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node12"><a xlink:href=".././sourcefile/flubiosteadystate.f03.html" xlink:title="flubioSteadyState.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="401.5,-538 287.5,-538 287.5,-514 401.5,-514 401.5,-538"/>
<text text-anchor="middle" x="344.5" y="-523.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubioSteadyState.f03</text>
</a>
</g>
</g>
<!-- sourcefile~flubiodictionaries.f03&#45;&gt;sourcefile~flubiosteadystate.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge12" class="edge">
<title>sourcefile~flubiodictionaries.f03&#45;&gt;sourcefile~flubiosteadystate.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M490.2265,-391.2972C477.8932,-416.2859 446.5908,-473.3089 404,-505 401.9622,-506.5163 399.8054,-507.9302 397.5679,-509.2478"/>
<polygon fill="#000000" stroke="#000000" points="395.9004,-506.1697 388.6186,-513.8655 399.1102,-512.3904 395.9004,-506.1697"/>
</g>
<!-- sourcefile~flubioregionsdict.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node14" class="node">
<title>sourcefile~flubioregionsdict.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node14"><a xlink:href=".././sourcefile/flubioregionsdict.f03.html" xlink:title="flubioRegionsDict.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="401,-496 288,-496 288,-472 401,-472 401,-496"/>
<text text-anchor="middle" x="344.5" y="-481.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubioRegionsDict.f03</text>
</a>
</g>
</g>
<!-- sourcefile~flubiodictionaries.f03&#45;&gt;sourcefile~flubioregionsdict.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge13" class="edge">
<title>sourcefile~flubiodictionaries.f03&#45;&gt;sourcefile~flubioregionsdict.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M485.5852,-391.2255C469.6685,-409.223 437.5844,-442.8853 404,-463 401.0441,-464.7704 397.9164,-466.4227 394.7037,-467.9593"/>
<polygon fill="#000000" stroke="#000000" points="393.2568,-464.7719 385.4967,-471.9852 396.0613,-471.1856 393.2568,-464.7719"/>
</g>
<!-- sourcefile~flubiomonitors.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node15" class="node">
<title>sourcefile~flubiomonitors.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node15"><a xlink:href=".././sourcefile/flubiomonitors.f03.html" xlink:title="flubioMonitors.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="393,-412 296,-412 296,-388 393,-388 393,-412"/>
<text text-anchor="middle" x="344.5" y="-397.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubioMonitors.f03</text>
</a>
</g>
</g>
<!-- sourcefile~flubiodictionaries.f03&#45;&gt;sourcefile~flubiomonitors.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge14" class="edge">
<title>sourcefile~flubiodictionaries.f03&#45;&gt;sourcefile~flubiomonitors.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M439.587,-386.8196C427.625,-388.4777 414.9736,-390.2314 402.9382,-391.8997"/>
<polygon fill="#000000" stroke="#000000" points="402.4267,-388.437 393.002,-393.277 403.3879,-395.3707 402.4267,-388.437"/>
</g>
<!-- sourcefile~flubiosolversdict.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node16" class="node">
<title>sourcefile~flubiosolversdict.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node16"><a xlink:href=".././sourcefile/flubiosolversdict.f03.html" xlink:title="flubioSolversDict.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="399,-286 290,-286 290,-262 399,-262 399,-286"/>
<text text-anchor="middle" x="344.5" y="-271.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubioSolversDict.f03</text>
</a>
</g>
</g>
<!-- sourcefile~flubiodictionaries.f03&#45;&gt;sourcefile~flubiosolversdict.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge15" class="edge">
<title>sourcefile~flubiodictionaries.f03&#45;&gt;sourcefile~flubiosolversdict.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M485.5852,-366.7745C469.6685,-348.777 437.5844,-315.1147 404,-295 401.0441,-293.2296 397.9164,-291.5773 394.7037,-290.0407"/>
<polygon fill="#000000" stroke="#000000" points="396.0613,-286.8144 385.4967,-286.0148 393.2568,-293.2281 396.0613,-286.8144"/>
</g>
<!-- sourcefile~flubiosourceterms.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node17" class="node">
<title>sourcefile~flubiosourceterms.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node17"><a xlink:href=".././sourcefile/flubiosourceterms.f03.html" xlink:title="flubioSourceTerms.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="404,-370 285,-370 285,-346 404,-346 404,-370"/>
<text text-anchor="middle" x="344.5" y="-355.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubioSourceTerms.f03</text>
</a>
</g>
</g>
<!-- sourcefile~flubiodictionaries.f03&#45;&gt;sourcefile~flubiosourceterms.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge16" class="edge">
<title>sourcefile~flubiodictionaries.f03&#45;&gt;sourcefile~flubiosourceterms.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M439.587,-371.1804C431.2425,-370.0237 422.5626,-368.8206 413.9903,-367.6323"/>
<polygon fill="#000000" stroke="#000000" points="414.389,-364.1542 404.0031,-366.248 413.4278,-371.0879 414.389,-364.1542"/>
</g>
<!-- sourcefile~flubiocontrolsdict.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node19" class="node">
<title>sourcefile~flubiocontrolsdict.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node19"><a xlink:href=".././sourcefile/flubiocontrolsdict.f03.html" xlink:title="flubioControlsDict.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="401.5,-454 287.5,-454 287.5,-430 401.5,-430 401.5,-454"/>
<text text-anchor="middle" x="344.5" y="-439.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubioControlsDict.f03</text>
</a>
</g>
</g>
<!-- sourcefile~flubiodictionaries.f03&#45;&gt;sourcefile~flubiocontrolsdict.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge17" class="edge">
<title>sourcefile~flubiodictionaries.f03&#45;&gt;sourcefile~flubiocontrolsdict.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M471.2702,-391.0148C452.8964,-399.7633 427.1186,-411.6647 404,-421 399.4767,-422.8265 394.7267,-424.653 389.9657,-426.4242"/>
<polygon fill="#000000" stroke="#000000" points="388.4449,-423.2532 380.2468,-429.9645 390.8408,-429.8304 388.4449,-423.2532"/>
</g>
<!-- sourcefile~flubioturbmodel.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node20" class="node">
<title>sourcefile~flubioturbmodel.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node20"><a xlink:href=".././sourcefile/flubioturbmodel.f03.html" xlink:title="flubioTurbModel.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="397,-580 292,-580 292,-556 397,-556 397,-580"/>
<text text-anchor="middle" x="344.5" y="-565.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubioTurbModel.f03</text>
</a>
</g>
</g>
<!-- sourcefile~flubiodictionaries.f03&#45;&gt;sourcefile~flubioturbmodel.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge18" class="edge">
<title>sourcefile~flubiodictionaries.f03&#45;&gt;sourcefile~flubioturbmodel.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M492.685,-391.0892C483.6897,-421.6779 455.9395,-502.8475 404,-547 402.4351,-548.3303 400.7802,-549.5784 399.057,-550.7492"/>
<polygon fill="#000000" stroke="#000000" points="396.89,-547.9581 389.9708,-555.9815 400.3833,-554.0242 396.89,-547.9581"/>
</g>
<!-- sourcefile~flubioboundaries.f03&#45;&gt;sourcefile~globalmeshvar.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge21" class="edge">
<title>sourcefile~flubioboundaries.f03&#45;&gt;sourcefile~globalmeshvar.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M294.9824,-126.0234C279.9233,-129.68 263.2155,-133.7368 247.5666,-137.5365"/>
<polygon fill="#000000" stroke="#000000" points="246.3556,-134.2288 237.4639,-139.9896 248.0074,-141.0312 246.3556,-134.2288"/>
</g>
<!-- sourcefile~flubiompi.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node18" class="node">
<title>sourcefile~flubiompi.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node18"><a xlink:href=".././sourcefile/flubiompi.f03.html" xlink:title="flubioMpi.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="82,-124 9,-124 9,-100 82,-100 82,-124"/>
<text text-anchor="middle" x="45.5" y="-109.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubioMpi.f03</text>
</a>
</g>
</g>
<!-- sourcefile~flubioboundaries.f03&#45;&gt;sourcefile~flubiompi.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge20" class="edge">
<title>sourcefile~flubioboundaries.f03&#45;&gt;sourcefile~flubiompi.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M289.3001,-103.903C258.58,-100.5726 220.1655,-100.2713 188,-112"/>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M188,-112C157.4668,-123.1335 120.746,-122.8406 92.2282,-119.9166"/>
<polygon fill="#000000" stroke="#000000" points="92.4579,-116.4197 82.1195,-118.7365 91.6462,-123.3725 92.4579,-116.4197"/>
</g>
<!-- sourcefile~stringmod.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node21" class="node">
<title>sourcefile~stringmod.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node21"><a xlink:href=".././sourcefile/stringmod.f03.html" xlink:title="stringmod.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="84.5,-370 6.5,-370 6.5,-346 84.5,-346 84.5,-370"/>
<text text-anchor="middle" x="45.5" y="-355.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">stringmod.f03</text>
</a>
</g>
</g>
<!-- sourcefile~flubioboundaries.f03&#45;&gt;sourcefile~stringmod.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge19" class="edge">
<title>sourcefile~flubioboundaries.f03&#45;&gt;sourcefile~stringmod.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M188,-112C161.3224,-121.7276 145.7435,-109.6693 127,-131 65.65,-200.8183 147.6687,-263.3313 91,-337 90.4198,-337.7542 89.8062,-338.4824 89.1629,-339.1852"/>
<polygon fill="#000000" stroke="#000000" points="86.7152,-336.6707 81.3187,-345.7882 91.2231,-342.026 86.7152,-336.6707"/>
</g>
<!-- sourcefile~elements.f03&#45;&gt;sourcefile~globalmeshvar.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge23" class="edge">
<title>sourcefile~elements.f03&#45;&gt;sourcefile~globalmeshvar.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M587.9809,-250.8674C562.1717,-245.1511 526.9527,-237.2582 496,-230"/>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M496,-230C469.6368,-223.818 464.3619,-217.8208 440,-206 396.5195,-184.9025 392.7682,-156.4158 344.5,-154"/>
</g>
<!-- sourcefile~elements.f03&#45;&gt;sourcefile~flubiodictionaries.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge24" class="edge">
<title>sourcefile~elements.f03&#45;&gt;sourcefile~flubiodictionaries.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M611.6806,-271.3901C589.1619,-292.3377 543.4143,-334.8937 516.6908,-359.7528"/>
<polygon fill="#000000" stroke="#000000" points="513.9928,-357.4823 509.0548,-366.856 518.7606,-362.6076 513.9928,-357.4823"/>
</g>
<!-- sourcefile~mstrings.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node13" class="node">
<title>sourcefile~mstrings.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node13"><a xlink:href=".././sourcefile/mstrings.f03.html" xlink:title="mstrings.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="81,-413 10,-413 10,-389 81,-389 81,-413"/>
<text text-anchor="middle" x="45.5" y="-398.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">mstrings.f03</text>
</a>
</g>
</g>
<!-- sourcefile~elements.f03&#45;&gt;sourcefile~mstrings.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge22" class="edge">
<title>sourcefile~elements.f03&#45;&gt;sourcefile~mstrings.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M621.7229,-271.0228C607.0433,-322.1344 541.9295,-521.8217 404,-589 290.4921,-644.2838 224.6772,-605.997 127,-526 92.1665,-497.4716 67.0664,-450.0666 54.5385,-422.564"/>
<polygon fill="#000000" stroke="#000000" points="57.5939,-420.8182 50.3585,-413.0788 51.1883,-423.6411 57.5939,-420.8182"/>
</g>
<!-- sourcefile~faces.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node22" class="node">
<title>sourcefile~faces.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node22"><a xlink:href=".././sourcefile/faces.f03.html" xlink:title="faces.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="524,-105 468,-105 468,-81 524,-81 524,-105"/>
<text text-anchor="middle" x="496" y="-90.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">faces.f03</text>
</a>
</g>
</g>
<!-- sourcefile~elements.f03&#45;&gt;sourcefile~faces.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge25" class="edge">
<title>sourcefile~elements.f03&#45;&gt;sourcefile~faces.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M615.5143,-246.7936C593.522,-218.4935 538.8684,-148.164 511.7611,-113.2818"/>
<polygon fill="#000000" stroke="#000000" points="514.3994,-110.9727 505.4996,-105.2243 508.8721,-115.268 514.3994,-110.9727"/>
</g>
<!-- sourcefile~cellregions.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node23" class="node">
<title>sourcefile~cellregions.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node23"><a xlink:href=".././sourcefile/cellregions.f03.html" xlink:title="cellRegions.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="387,-244 302,-244 302,-220 387,-220 387,-244"/>
<text text-anchor="middle" x="344.5" y="-229.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">cellRegions.f03</text>
</a>
</g>
</g>
<!-- sourcefile~elements.f03&#45;&gt;sourcefile~cellregions.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge26" class="edge">
<title>sourcefile~elements.f03&#45;&gt;sourcefile~cellregions.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M496,-230C463.8133,-222.4524 426.7149,-222.7978 397.2854,-225.1052"/>
<polygon fill="#000000" stroke="#000000" points="396.87,-221.6282 387.2163,-225.9935 397.4852,-228.6011 396.87,-221.6282"/>
</g>
<!-- sourcefile~generaldictionaries.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node24" class="node">
<title>sourcefile~generaldictionaries.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node24"><a xlink:href=".././sourcefile/generaldictionaries.f03.html" xlink:title="generalDictionaries.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="249,-412 127,-412 127,-388 249,-388 249,-412"/>
<text text-anchor="middle" x="188" y="-397.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">generalDictionaries.f03</text>
</a>
</g>
</g>
<!-- sourcefile~flubiooptionsdict.f03&#45;&gt;sourcefile~generaldictionaries.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge27" class="edge">
<title>sourcefile~flubiooptionsdict.f03&#45;&gt;sourcefile~generaldictionaries.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M306.1757,-328.0171C299.0129,-330.6842 291.6824,-333.7087 285,-337 258.9121,-349.8491 231.2982,-368.3219 212.2335,-381.9438"/>
<polygon fill="#000000" stroke="#000000" points="210.1595,-379.1243 204.1118,-387.8235 214.2644,-384.7944 210.1595,-379.1243"/>
</g>
<!-- sourcefile~flubiosteadystate.f03&#45;&gt;sourcefile~globaltimevar.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge29" class="edge">
<title>sourcefile~flubiosteadystate.f03&#45;&gt;sourcefile~globaltimevar.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M287.1138,-518.2996C274.3105,-516.5816 260.7033,-514.7557 247.8051,-513.025"/>
<polygon fill="#000000" stroke="#000000" points="248.0185,-509.5223 237.6419,-511.6612 247.0875,-516.4601 248.0185,-509.5223"/>
</g>
<!-- sourcefile~flubiosteadystate.f03&#45;&gt;sourcefile~generaldictionaries.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge28" class="edge">
<title>sourcefile~flubiosteadystate.f03&#45;&gt;sourcefile~generaldictionaries.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M301.9904,-513.883C296.0583,-511.3783 290.2155,-508.433 285,-505 250.0755,-482.0117 219.1077,-443.8045 202.0148,-420.3663"/>
<polygon fill="#000000" stroke="#000000" points="204.8223,-418.2751 196.1639,-412.1691 199.1248,-422.3418 204.8223,-418.2751"/>
</g>
<!-- sourcefile~flubioregionsdict.f03&#45;&gt;sourcefile~globaltimevar.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge31" class="edge">
<title>sourcefile~flubioregionsdict.f03&#45;&gt;sourcefile~globaltimevar.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M287.9999,-491.5815C274.8833,-493.3415 260.8809,-495.2205 247.6342,-496.998"/>
<polygon fill="#000000" stroke="#000000" points="247.1245,-493.5349 237.6788,-498.3338 248.0555,-500.4727 247.1245,-493.5349"/>
</g>
<!-- sourcefile~flubioregionsdict.f03&#45;&gt;sourcefile~generaldictionaries.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge30" class="edge">
<title>sourcefile~flubioregionsdict.f03&#45;&gt;sourcefile~generaldictionaries.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M306.1757,-471.9829C299.0129,-469.3158 291.6824,-466.2913 285,-463 258.9121,-450.1509 231.2982,-431.6781 212.2335,-418.0562"/>
<polygon fill="#000000" stroke="#000000" points="214.2644,-415.2056 204.1118,-412.1765 210.1595,-420.8757 214.2644,-415.2056"/>
</g>
<!-- sourcefile~flubiomonitors.f03&#45;&gt;sourcefile~generaldictionaries.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge32" class="edge">
<title>sourcefile~flubiomonitors.f03&#45;&gt;sourcefile~generaldictionaries.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M295.8403,-400C284.2737,-400 271.6956,-400 259.3485,-400"/>
<polygon fill="#000000" stroke="#000000" points="259.0585,-396.5001 249.0585,-400 259.0584,-403.5001 259.0585,-396.5001"/>
</g>
<!-- sourcefile~flubiosolversdict.f03&#45;&gt;sourcefile~globalmeshvar.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge34" class="edge">
<title>sourcefile~flubiosolversdict.f03&#45;&gt;sourcefile~globalmeshvar.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M298.1556,-261.9875C293.3807,-259.5225 288.8701,-256.5595 285,-253 256.3026,-226.6057 277.7993,-199.283 249,-173 247.5419,-171.6693 245.9954,-170.4223 244.3797,-169.2537"/>
<polygon fill="#000000" stroke="#000000" points="246.1741,-166.2486 235.8118,-164.0408 242.5356,-172.2287 246.1741,-166.2486"/>
</g>
<!-- sourcefile~flubiosolversdict.f03&#45;&gt;sourcefile~generaldictionaries.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge33" class="edge">
<title>sourcefile~flubiosolversdict.f03&#45;&gt;sourcefile~generaldictionaries.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M301.9904,-286.117C296.0583,-288.6217 290.2155,-291.567 285,-295 250.0755,-317.9883 219.1077,-356.1955 202.0148,-379.6337"/>
<polygon fill="#000000" stroke="#000000" points="199.1248,-377.6582 196.1639,-387.8309 204.8223,-381.7249 199.1248,-377.6582"/>
</g>
<!-- sourcefile~flubiosourceterms.f03&#45;&gt;sourcefile~generaldictionaries.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge35" class="edge">
<title>sourcefile~flubiosourceterms.f03&#45;&gt;sourcefile~generaldictionaries.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M299.6534,-370.0355C281.8908,-374.8025 261.3011,-380.3281 242.6767,-385.3264"/>
<polygon fill="#000000" stroke="#000000" points="241.6042,-381.9903 232.8532,-387.9627 243.4186,-388.7511 241.6042,-381.9903"/>
</g>
<!-- sourcefile~flubiocontrolsdict.f03&#45;&gt;sourcefile~globaltimevar.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge37" class="edge">
<title>sourcefile~flubiocontrolsdict.f03&#45;&gt;sourcefile~globaltimevar.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M309.1128,-454.0358C301.1424,-456.8724 292.75,-459.9588 285,-463 264.5826,-471.0122 242.0868,-480.6978 223.9036,-488.7478"/>
<polygon fill="#000000" stroke="#000000" points="222.2664,-485.6455 214.5547,-492.9105 225.1138,-492.0402 222.2664,-485.6455"/>
</g>
<!-- sourcefile~flubiocontrolsdict.f03&#45;&gt;sourcefile~generaldictionaries.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge36" class="edge">
<title>sourcefile~flubiocontrolsdict.f03&#45;&gt;sourcefile~generaldictionaries.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M299.6534,-429.9645C281.8908,-425.1975 261.3011,-419.6719 242.6767,-414.6736"/>
<polygon fill="#000000" stroke="#000000" points="243.4186,-411.2489 232.8532,-412.0373 241.6042,-418.0097 243.4186,-411.2489"/>
</g>
<!-- sourcefile~flubioturbmodel.f03&#45;&gt;sourcefile~globaltimevar.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge39" class="edge">
<title>sourcefile~flubioturbmodel.f03&#45;&gt;sourcefile~globaltimevar.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M309.1128,-555.9642C301.1424,-553.1276 292.75,-550.0412 285,-547 264.5826,-538.9878 242.0868,-529.3022 223.9036,-521.2522"/>
<polygon fill="#000000" stroke="#000000" points="225.1138,-517.9598 214.5547,-517.0895 222.2664,-524.3545 225.1138,-517.9598"/>
</g>
<!-- sourcefile~flubioturbmodel.f03&#45;&gt;sourcefile~generaldictionaries.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge38" class="edge">
<title>sourcefile~flubioturbmodel.f03&#45;&gt;sourcefile~generaldictionaries.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M299.0913,-555.9078C294.0374,-553.4492 289.2051,-550.5095 285,-547 260.2408,-526.3365 266.5007,-511.0874 249,-484 234.5079,-461.5693 216.3564,-436.9638 203.6366,-420.2154"/>
<polygon fill="#000000" stroke="#000000" points="206.3826,-418.0445 197.5282,-412.2264 200.8218,-422.2963 206.3826,-418.0445"/>
</g>
<!-- sourcefile~faces.f03&#45;&gt;sourcefile~globalmeshvar.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge43" class="edge">
<title>sourcefile~faces.f03&#45;&gt;sourcefile~globalmeshvar.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M479.5933,-105.0787C452.6779,-123.5983 396.8895,-156.6221 344.5,-154"/>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M344.5,-154C313.0788,-152.4274 278.0675,-151.8682 249.1407,-151.7274"/>
<polygon fill="#000000" stroke="#000000" points="248.7881,-148.2263 238.7766,-151.6933 248.7651,-155.2262 248.7881,-148.2263"/>
</g>
<!-- sourcefile~faces.f03&#45;&gt;sourcefile~flubiompi.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge40" class="edge">
<title>sourcefile~faces.f03&#45;&gt;sourcefile~flubiompi.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M344.5,-32C275.6591,-18.6613 256.7338,-38.1198 188,-52"/>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M188,-52C147.3397,-60.211 103.8437,-80.3717 75.7511,-95.0637"/>
<polygon fill="#000000" stroke="#000000" points="74.0204,-92.02 66.841,-99.8114 77.3122,-98.1977 74.0204,-92.02"/>
</g>
<!-- sourcefile~nodes.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node25" class="node">
<title>sourcefile~nodes.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node25"><a xlink:href=".././sourcefile/nodes.f03.html" xlink:title="nodes.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="374.5,-84 314.5,-84 314.5,-60 374.5,-60 374.5,-84"/>
<text text-anchor="middle" x="344.5" y="-69.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">nodes.f03</text>
</a>
</g>
</g>
<!-- sourcefile~faces.f03&#45;&gt;sourcefile~nodes.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge41" class="edge">
<title>sourcefile~faces.f03&#45;&gt;sourcefile~nodes.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M467.8591,-89.0993C444.4405,-85.8531 410.8126,-81.1918 384.5803,-77.5557"/>
<polygon fill="#000000" stroke="#000000" points="384.9518,-74.0738 374.5659,-76.1676 383.9906,-81.0075 384.9518,-74.0738"/>
</g>
<!-- sourcefile~userdefinedtypes.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node27" class="node">
<title>sourcefile~userdefinedtypes.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node27"><a xlink:href=".././sourcefile/userdefinedtypes.f03.html" xlink:title="userDefinedTypes.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="246,-24 130,-24 130,0 246,0 246,-24"/>
<text text-anchor="middle" x="188" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">userDefinedTypes.f03</text>
</a>
</g>
</g>
<!-- sourcefile~faces.f03&#45;&gt;sourcefile~userdefinedtypes.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge42" class="edge">
<title>sourcefile~faces.f03&#45;&gt;sourcefile~userdefinedtypes.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M473.737,-80.8639C444.9138,-65.908 392.6569,-41.331 344.5,-32"/>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M344.5,-32C315.8863,-26.4558 284.0215,-22.0652 256.5517,-18.827"/>
<polygon fill="#000000" stroke="#000000" points="256.5893,-15.3083 246.2547,-17.6424 255.7892,-22.2625 256.5893,-15.3083"/>
</g>
<!-- sourcefile~cellregions.f03&#45;&gt;sourcefile~globaltimevar.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge47" class="edge">
<title>sourcefile~cellregions.f03&#45;&gt;sourcefile~globaltimevar.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M301.8076,-240.9738C295.475,-243.914 289.5573,-247.8175 285,-253 234.5738,-310.3437 280.1087,-351.2622 249,-421 238.2458,-445.1081 219.8292,-469.1269 206.0386,-485.2668"/>
<polygon fill="#000000" stroke="#000000" points="203.2679,-483.1182 199.3138,-492.9475 208.5345,-487.7294 203.2679,-483.1182"/>
</g>
<!-- sourcefile~cellregions.f03&#45;&gt;sourcefile~globalmeshvar.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge44" class="edge">
<title>sourcefile~cellregions.f03&#45;&gt;sourcefile~globalmeshvar.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M327.5543,-219.9196C308.9532,-207.05 277.8834,-186.6854 249,-173 245.1285,-171.1656 241.0521,-169.4106 236.9185,-167.7522"/>
<polygon fill="#000000" stroke="#000000" points="237.8299,-164.3541 227.239,-164.0659 235.3385,-170.8958 237.8299,-164.3541"/>
</g>
<!-- sourcefile~cellregions.f03&#45;&gt;sourcefile~math.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge45" class="edge">
<title>sourcefile~cellregions.f03&#45;&gt;sourcefile~math.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M301.7357,-221.6163C277.9274,-215.8354 248.5588,-208.7044 225.6291,-203.1368"/>
<polygon fill="#000000" stroke="#000000" points="226.4549,-199.7357 215.9114,-200.7772 224.8032,-206.538 226.4549,-199.7357"/>
</g>
<!-- sourcefile~cellregions.f03&#45;&gt;sourcefile~flubiompi.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge46" class="edge">
<title>sourcefile~cellregions.f03&#45;&gt;sourcefile~flubiompi.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M301.6273,-238.3683C255.6045,-243.0818 181.7373,-244.3635 127,-215 104.1228,-202.7277 107.0982,-189.3672 91,-169 81.3352,-156.7722 70.445,-143.125 61.7424,-132.2504"/>
<polygon fill="#000000" stroke="#000000" points="64.2807,-129.8208 55.2973,-124.2038 58.8172,-134.1969 64.2807,-129.8208"/>
</g>
<!-- sourcefile~vecfor.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node26" class="node">
<title>sourcefile~vecfor.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node26"><a xlink:href=".././sourcefile/vecfor.f03.html" xlink:title="vecfor.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="217.5,-286 158.5,-286 158.5,-262 217.5,-262 217.5,-286"/>
<text text-anchor="middle" x="188" y="-271.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecfor.f03</text>
</a>
</g>
</g>
<!-- sourcefile~cellregions.f03&#45;&gt;sourcefile~vecfor.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge48" class="edge">
<title>sourcefile~cellregions.f03&#45;&gt;sourcefile~vecfor.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M301.7357,-243.4767C278.6621,-249.669 250.3658,-257.2628 227.7696,-263.327"/>
<polygon fill="#000000" stroke="#000000" points="226.5789,-260.0226 217.8279,-265.9951 228.3934,-266.7834 226.5789,-260.0226"/>
</g>
<!-- sourcefile~generaldictionaries.f03&#45;&gt;sourcefile~mstrings.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge49" class="edge">
<title>sourcefile~generaldictionaries.f03&#45;&gt;sourcefile~mstrings.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M126.7402,-400.4299C114.8428,-400.5134 102.5662,-400.5995 91.2731,-400.6788"/>
<polygon fill="#000000" stroke="#000000" points="91.1926,-397.1792 81.2174,-400.7494 91.2418,-404.179 91.1926,-397.1792"/>
</g>
<!-- sourcefile~generaldictionaries.f03&#45;&gt;sourcefile~flubiompi.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge50" class="edge">
<title>sourcefile~generaldictionaries.f03&#45;&gt;sourcefile~flubiompi.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M179.6332,-387.9154C166.786,-368.9014 142.1055,-330.5002 127,-295 104.1967,-241.4089 117.6868,-220.7669 91,-169 84.0413,-155.5016 73.6159,-142.14 64.4995,-131.7499"/>
<polygon fill="#000000" stroke="#000000" points="66.874,-129.1585 57.5602,-124.1084 61.6919,-133.8644 66.874,-129.1585"/>
</g>
<!-- sourcefile~generaldictionaries.f03&#45;&gt;sourcefile~stringmod.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge51" class="edge">
<title>sourcefile~generaldictionaries.f03&#45;&gt;sourcefile~stringmod.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M147.1652,-387.9645C130.8027,-383.1418 111.8056,-377.5427 94.692,-372.4987"/>
<polygon fill="#000000" stroke="#000000" points="95.4492,-369.0731 84.8676,-369.6031 93.4702,-375.7875 95.4492,-369.0731"/>
</g>
<!-- sourcefile~nodes.f03&#45;&gt;sourcefile~globalmeshvar.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge53" class="edge">
<title>sourcefile~nodes.f03&#45;&gt;sourcefile~globalmeshvar.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M314.3924,-80.0129C304.6378,-83.2814 294.0165,-87.5877 285,-93 266.3903,-104.1709 267.245,-114.2429 249,-126 243.5386,-129.5194 237.5204,-132.7506 231.4565,-135.6498"/>
<polygon fill="#000000" stroke="#000000" points="229.6435,-132.6277 221.9632,-139.9259 232.5184,-139.0101 229.6435,-132.6277"/>
</g>
<!-- sourcefile~nodes.f03&#45;&gt;sourcefile~flubiompi.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge52" class="edge">
<title>sourcefile~nodes.f03&#45;&gt;sourcefile~flubiompi.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M314.2876,-62.3379C282.6127,-53.5586 231.4956,-43.2165 188,-52"/>
</g>
<!-- sourcefile~vecfor_r16p.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node28" class="node">
<title>sourcefile~vecfor_r16p.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node28"><a xlink:href=".././sourcefile/vecfor_r16p.f03.html" xlink:title="vecfor_R16P.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="91,-328 0,-328 0,-304 91,-304 91,-328"/>
<text text-anchor="middle" x="45.5" y="-313.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecfor_R16P.f03</text>
</a>
</g>
</g>
<!-- sourcefile~vecfor.f03&#45;&gt;sourcefile~vecfor_r16p.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge55" class="edge">
<title>sourcefile~vecfor.f03&#45;&gt;sourcefile~vecfor_r16p.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M158.4739,-282.7024C140.4576,-288.0125 116.9459,-294.9423 96.0395,-301.1042"/>
<polygon fill="#000000" stroke="#000000" points="94.9373,-297.7801 86.3348,-303.9645 96.9164,-304.4945 94.9373,-297.7801"/>
</g>
<!-- sourcefile~vecfor_rpp.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node29" class="node">
<title>sourcefile~vecfor_rpp.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node29"><a xlink:href=".././sourcefile/vecfor_rpp.f03.html" xlink:title="vecfor_RPP.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="88,-286 3,-286 3,-262 88,-262 88,-286"/>
<text text-anchor="middle" x="45.5" y="-271.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecfor_RPP.f03</text>
</a>
</g>
</g>
<!-- sourcefile~vecfor.f03&#45;&gt;sourcefile~vecfor_rpp.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge56" class="edge">
<title>sourcefile~vecfor.f03&#45;&gt;sourcefile~vecfor_rpp.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M158.4739,-274C141.1088,-274 118.6384,-274 98.3163,-274"/>
<polygon fill="#000000" stroke="#000000" points="98.2351,-270.5001 88.2351,-274 98.2351,-277.5001 98.2351,-270.5001"/>
</g>
<!-- sourcefile~vecfor_r4p.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node30" class="node">
<title>sourcefile~vecfor_r4p.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node30"><a xlink:href=".././sourcefile/vecfor_r4p.f03.html" xlink:title="vecfor_R4P.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="88,-244 3,-244 3,-220 88,-220 88,-244"/>
<text text-anchor="middle" x="45.5" y="-229.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecfor_R4P.f03</text>
</a>
</g>
</g>
<!-- sourcefile~vecfor.f03&#45;&gt;sourcefile~vecfor_r4p.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge54" class="edge">
<title>sourcefile~vecfor.f03&#45;&gt;sourcefile~vecfor_r4p.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M158.4739,-265.2976C140.4576,-259.9875 116.9459,-253.0577 96.0395,-246.8958"/>
<polygon fill="#000000" stroke="#000000" points="96.9164,-243.5055 86.3348,-244.0355 94.9373,-250.2199 96.9164,-243.5055"/>
</g>
<!-- sourcefile~vecfor_r8p.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_node31" class="node">
<title>sourcefile~vecfor_r8p.f03</title>
<g id="a_sourcefile~~velocityinlet.f03~~EfferentGraph_node31"><a xlink:href=".././sourcefile/vecfor_r8p.f03.html" xlink:title="vecfor_R8P.f03">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="88,-202 3,-202 3,-178 88,-178 88,-202"/>
<text text-anchor="middle" x="45.5" y="-187.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">vecfor_R8P.f03</text>
</a>
</g>
</g>
<!-- sourcefile~vecfor.f03&#45;&gt;sourcefile~vecfor_r8p.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge57" class="edge">
<title>sourcefile~vecfor.f03&#45;&gt;sourcefile~vecfor_r8p.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M158.2292,-264.0544C147.8797,-259.9011 136.4948,-254.5098 127,-248 108.0766,-235.0259 109.73,-224.2517 91,-211 88.9492,-209.5491 86.7822,-208.1583 84.5513,-206.8325"/>
<polygon fill="#000000" stroke="#000000" points="86.1992,-203.7446 75.7405,-202.0518 82.8607,-209.8973 86.1992,-203.7446"/>
</g>
<!-- sourcefile~userdefinedtypes.f03&#45;&gt;sourcefile~flubiompi.f03 -->
<g id="sourcefile~~velocityinlet.f03~~EfferentGraph_edge58" class="edge">
<title>sourcefile~userdefinedtypes.f03&#45;&gt;sourcefile~flubiompi.f03</title>
<path fill="none" stroke="#000000" stroke-dasharray="5,2" d="M154.0535,-24.1003C144.9539,-27.9695 135.3349,-32.6569 127,-38 102.8029,-53.5115 78.9089,-76.3365 63.3126,-92.529"/>
<polygon fill="#000000" stroke="#000000" points="60.6853,-90.2133 56.3578,-99.8841 65.7716,-95.0227 60.6853,-90.2133"/>
</g>
</g>
</svg>
</div><script>var pansourcefilevelocityinletf03EfferentGraph = svgPanZoom('#sourcefilevelocityinletf03EfferentGraph', {zoomEnabled: true,controlIconsEnabled: true, fit: true, center: true,}); </script><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="190pt" height="32pt"
 viewBox="0.00 0.00 189.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 185.5,-28 185.5,4 -4,4"/>
<!-- Source File -->
<g id="node1" class="node">
<title>Source File</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="66,-24 0,-24 0,0 66,0 66,-24"/>
<text text-anchor="middle" x="33" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Source File</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node2" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="181.5,-24 84.5,-24 84.5,0 181.5,0 181.5,-24"/>
<text text-anchor="middle" x="133" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a file to a file which it depends on. A file
    is dependent upon another if the latter must be compiled before the former
    can be.
    </p>
    </div></div></div></div>
      </div>
    </div>
    
      
      <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 














<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#subs-1">Subroutines</a></h3></div>
  <div class="list-group">
    <div id="subs-1" class="panel-collapse collapse">
      
      <a class="list-group-item" href="../proc/velocityinletboundary.html">velocityInletBoundary</a>
      
      <a class="list-group-item" href="../proc/updatevelocityinletboundaryfield.html">updateVelocityInletBoundaryField</a>
      
      <a class="list-group-item" href="../proc/updatecustominletboundaryfield.html">updateCustomInletBoundaryField</a>
      
      <a class="list-group-item" href="../proc/velocityinletboundarydiffusiononly.html">velocityInletBoundaryDiffusionOnly</a>
      
    </div>
  </div>
</div>









<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title">Source Code</h3></div>
  <div class="list-group">
    <a class="list-group-item" href="../sourcefile/velocityinlet.f03.html#src">velocityInlet.f03</a>
  </div>
</div>



    </section>
    <br class="visible-xs visible-sm hidden-md">

    <section>
      <h2><span class="anchor" id="src"></span>Source Code</h2>
    <div class="hl"><pre><span></span><a id="ln-1" name="ln-1"></a><span class="c">!*******************************************************************************************!</span>
<a id="ln-2" name="ln-2"></a><span class="c">!  ______ _     _    _ ____ _____ ____         _____  ______ _______ _____  _____           !</span>
<a id="ln-3" name="ln-3"></a><span class="c">! |  ____| |   | |  | |  _ \_   _/ __ \       |  __ \|  ____|__   __/ ____|/ ____|          !</span>
<a id="ln-4" name="ln-4"></a><span class="c">! | |__  | |   | |  | | |_) || || |  | |______| |__) | |__     | | | (___ | |               !</span>
<a id="ln-5" name="ln-5"></a><span class="c">! |  __| | |   | |  | |  _ &lt; | || |  | |______|  ___/|  __|    | |  \___ \| |               !</span>
<a id="ln-6" name="ln-6"></a><span class="c">! | |    | |___| |__| | |_) || || |__| |      | |    | |____   | |  ____) | |____           !</span>
<a id="ln-7" name="ln-7"></a><span class="c">! |_|    |______\____/|____/_____\____/       |_|    |______|  |_| |_____/ \_____|          !</span>
<a id="ln-8" name="ln-8"></a><span class="c">!*******************************************************************************************!</span>
<a id="ln-9" name="ln-9"></a>
<a id="ln-10" name="ln-10"></a><span class="c">!*******************************************************************************************!</span>
<a id="ln-11" name="ln-11"></a><span class="c">!                                                                                           !</span>
<a id="ln-12" name="ln-12"></a><span class="c">! License:                                                                                  !</span>
<a id="ln-13" name="ln-13"></a><span class="c">! Creative commons CC BY-NC 2.0                                                             !</span>
<a id="ln-14" name="ln-14"></a><span class="c">!                                                                                           !</span>
<a id="ln-15" name="ln-15"></a><span class="c">! How to cite:                                                                              !</span>
<a id="ln-16" name="ln-16"></a><span class="c">! E. Alinovi, J. Guerrero, &quot;FLUBIO – An unstructured, parallel, finite-volume               !</span>
<a id="ln-17" name="ln-17"></a><span class="c">! based Navier-Stokes and convection-diffusion like equations solver for teaching           !</span>
<a id="ln-18" name="ln-18"></a><span class="c">! and research purposes,&quot; SoftwareX, Volume 13, January 2021, 100655.                       !</span>
<a id="ln-19" name="ln-19"></a><span class="c">! https://doi.org/10.1016/j.softx.2020.100655                                               !</span>
<a id="ln-20" name="ln-20"></a><span class="c">!                                                                                           !</span>
<a id="ln-21" name="ln-21"></a><span class="c">! Code repository:                                                                          !</span>
<a id="ln-22" name="ln-22"></a><span class="c">! https://gitlab.com/alie89/flubio-code-fvm                                                 !</span>
<a id="ln-23" name="ln-23"></a><span class="c">!                                                                                           !</span>
<a id="ln-24" name="ln-24"></a><span class="c">!*******************************************************************************************!</span>
<a id="ln-25" name="ln-25"></a>
<a id="ln-26" name="ln-26"></a>	<span class="k">subroutine </span><span class="n">velocityInletBoundary</span><span class="p">(</span><span class="n">iBFace</span><span class="p">,</span> <span class="n">aC</span><span class="p">,</span> <span class="n">bC</span><span class="p">,</span> <span class="n">phib</span><span class="p">,</span> <span class="n">mu</span><span class="p">,</span> <span class="n">c</span><span class="p">)</span>
<a id="ln-27" name="ln-27"></a>
<a id="ln-28" name="ln-28"></a>	<span class="c">!==================================================================================================================</span>
<a id="ln-29" name="ln-29"></a>	<span class="c">! Description:</span>
<a id="ln-30" name="ln-30"></a>	<span class="c">!! velocityInletBoundary computes computes the diagonal coefficient and rhs correction when an inlet (specified velocity)</span>
<a id="ln-31" name="ln-31"></a>	<span class="c">!!	boundary condition is applied.</span>
<a id="ln-32" name="ln-32"></a>	<span class="c">!! The correction reads:</span>
<a id="ln-33" name="ln-33"></a>	<span class="c">!! \begin{eqnarray}</span>
<a id="ln-34" name="ln-34"></a>	<span class="c">!!    &amp;textbf{a}_C^b = \mu_b\frac{|S_b|}{d_{\perp}}(1-\textbf{n}_b^2) \\</span>
<a id="ln-35" name="ln-35"></a>	<span class="c">!!    &amp;textbf{b}_C^b = -m_f\textbf{u}_b + \mu_b\frac{|S_b|}{d_{\perp}}\textbf{u}_b</span>
<a id="ln-36" name="ln-36"></a>	<span class="c">!! \end{eqnarray}</span>
<a id="ln-37" name="ln-37"></a>	<span class="c">!==================================================================================================================</span>
<a id="ln-38" name="ln-38"></a>
<a id="ln-39" name="ln-39"></a>		<span class="c">! modules</span>
<a id="ln-40" name="ln-40"></a>		<span class="k">use </span><span class="n">meshvar</span>
<a id="ln-41" name="ln-41"></a>		<span class="k">use </span><span class="n">massFlowVar</span>
<a id="ln-42" name="ln-42"></a>
<a id="ln-43" name="ln-43"></a>		<span class="c">! arguments</span>
<a id="ln-44" name="ln-44"></a>		<span class="k">implicit none</span>
<a id="ln-45" name="ln-45"></a>
<a id="ln-46" name="ln-46"></a><span class="k">		</span><span class="kt">integer</span> <span class="kd">::</span> <span class="n">iBFace</span>
<a id="ln-47" name="ln-47"></a>		<span class="c">!! target boundary face</span>
<a id="ln-48" name="ln-48"></a>	<span class="c">!------------------------------------------------------------------------------------------------------------------</span>
<a id="ln-49" name="ln-49"></a>
<a id="ln-50" name="ln-50"></a>		<span class="kt">real</span> <span class="kd">::</span> <span class="n">aC</span><span class="p">(</span><span class="mi">3</span><span class="p">)</span>
<a id="ln-51" name="ln-51"></a>		<span class="c">!! diagonal coefficient corretion due to the velocity inlet boundary condition at the target boundary face owner</span>
<a id="ln-52" name="ln-52"></a>
<a id="ln-53" name="ln-53"></a>		<span class="kt">real</span> <span class="kd">::</span> <span class="n">bC</span><span class="p">(</span><span class="mi">3</span><span class="p">)</span>
<a id="ln-54" name="ln-54"></a>		<span class="c">!! right hand side corretion due to the velocity inlet boundary condition</span>
<a id="ln-55" name="ln-55"></a>
<a id="ln-56" name="ln-56"></a>		<span class="kt">real</span> <span class="kd">::</span> <span class="n">phib</span><span class="p">(</span><span class="mi">3</span><span class="p">)</span>
<a id="ln-57" name="ln-57"></a>		<span class="c">!! velocity value prescribed at the target boundary</span>
<a id="ln-58" name="ln-58"></a>
<a id="ln-59" name="ln-59"></a>		<span class="kt">real</span> <span class="kd">::</span> <span class="n">nf</span><span class="p">(</span><span class="mi">3</span><span class="p">)</span>
<a id="ln-60" name="ln-60"></a>		<span class="c">!! surface normal at a target boundary face</span>
<a id="ln-61" name="ln-61"></a>
<a id="ln-62" name="ln-62"></a>		<span class="kt">real</span> <span class="kd">::</span> <span class="n">mu</span>
<a id="ln-63" name="ln-63"></a>		<span class="c">!! dinamic viscosity at a target boundary face</span>
<a id="ln-64" name="ln-64"></a>
<a id="ln-65" name="ln-65"></a>		<span class="kt">real</span> <span class="kd">::</span> <span class="n">c</span>
<a id="ln-66" name="ln-66"></a>
<a id="ln-67" name="ln-67"></a>		<span class="kt">real</span> <span class="kd">::</span> <span class="n">corr</span><span class="p">(</span><span class="mi">3</span><span class="p">)</span>
<a id="ln-68" name="ln-68"></a>		<span class="c">!! auxliary variable used to hos the full correction (convective + diffusive term)</span>
<a id="ln-69" name="ln-69"></a>	<span class="c">!------------------------------------------------------------------------------------------------------------------</span>
<a id="ln-70" name="ln-70"></a>
<a id="ln-71" name="ln-71"></a>	<span class="c">! Get surface normal</span>
<a id="ln-72" name="ln-72"></a>		<span class="n">nf</span> <span class="o">=</span> <span class="n">mesh</span><span class="p">%</span><span class="n">Sf</span><span class="p">(</span><span class="n">iBFace</span><span class="p">,:)</span><span class="o">/</span><span class="n">mesh</span><span class="p">%</span><span class="n">area</span><span class="p">(</span><span class="n">iBFace</span><span class="p">)</span>
<a id="ln-73" name="ln-73"></a>
<a id="ln-74" name="ln-74"></a>		<span class="n">corr</span> <span class="o">=</span> <span class="o">-</span><span class="n">c</span><span class="o">*</span><span class="n">mf</span><span class="p">(</span><span class="n">iBFace</span><span class="p">,</span><span class="mi">1</span><span class="p">)</span> <span class="o">+</span> <span class="n">mu</span><span class="o">*</span><span class="n">mesh</span><span class="p">%</span><span class="n">gDiff</span><span class="p">(</span><span class="n">iBFace</span><span class="p">)</span><span class="o">*</span><span class="p">(</span><span class="mi">1</span><span class="o">-</span><span class="n">nf</span><span class="o">**</span><span class="mi">2</span><span class="p">)</span>
<a id="ln-75" name="ln-75"></a>		<span class="n">aC</span> <span class="o">=</span>  <span class="n">mu</span><span class="o">*</span><span class="n">mesh</span><span class="p">%</span><span class="n">gDiff</span><span class="p">(</span><span class="n">iBFace</span><span class="p">)</span><span class="o">*</span><span class="p">(</span><span class="mi">1</span><span class="o">-</span><span class="n">nf</span><span class="o">**</span><span class="mi">2</span><span class="p">)</span>
<a id="ln-76" name="ln-76"></a>		<span class="n">bC</span> <span class="o">=</span> <span class="n">corr</span><span class="o">*</span><span class="n">phib</span>
<a id="ln-77" name="ln-77"></a>
<a id="ln-78" name="ln-78"></a><span class="c">!		corr=-mf(iBFace,1) + mu*mesh%gDiff(iBFace)</span>
<a id="ln-79" name="ln-79"></a><span class="c">!		aC =  mu*mesh%gDiff(iBFace) + mf(iBFace,1)</span>
<a id="ln-80" name="ln-80"></a><span class="c">!		bC = corr*phib</span>
<a id="ln-81" name="ln-81"></a>
<a id="ln-82" name="ln-82"></a>	<span class="k">end subroutine </span><span class="n">velocityInletBoundary</span>
<a id="ln-83" name="ln-83"></a>
<a id="ln-84" name="ln-84"></a><span class="c">! *********************************************************************************************************************</span>
<a id="ln-85" name="ln-85"></a>
<a id="ln-86" name="ln-86"></a>	<span class="k">subroutine </span><span class="n">updateVelocityInletBoundaryField</span><span class="p">(</span><span class="n">phi</span><span class="p">,</span> <span class="n">phi0</span><span class="p">,</span> <span class="n">iBoundary</span><span class="p">,</span> <span class="n">fComp</span><span class="p">)</span>
<a id="ln-87" name="ln-87"></a>
<a id="ln-88" name="ln-88"></a>	<span class="c">!==================================================================================================================</span>
<a id="ln-89" name="ln-89"></a>	<span class="c">! Description:</span>
<a id="ln-90" name="ln-90"></a>	<span class="c">!! updateVelocityInletBoundaryField loops over all the boundary faces of a target patch</span>
<a id="ln-91" name="ln-91"></a>	<span class="c">!! and updates the field face values with the inlet one:</span>
<a id="ln-92" name="ln-92"></a>	<span class="c">!! \begin{equation*}</span>
<a id="ln-93" name="ln-93"></a>	<span class="c">!!    \textbf{u}_b = \textbf{u}_{specified} \\</span>
<a id="ln-94" name="ln-94"></a>	<span class="c">!! \end{equation*}</span>
<a id="ln-95" name="ln-95"></a>	<span class="c">!==================================================================================================================</span>
<a id="ln-96" name="ln-96"></a>
<a id="ln-97" name="ln-97"></a>		<span class="c">! modules</span>
<a id="ln-98" name="ln-98"></a>		<span class="k">use </span><span class="n">meshvar</span>
<a id="ln-99" name="ln-99"></a>
<a id="ln-100" name="ln-100"></a>		<span class="c">! arguments</span>
<a id="ln-101" name="ln-101"></a>		<span class="k">implicit none</span>
<a id="ln-102" name="ln-102"></a>
<a id="ln-103" name="ln-103"></a><span class="k">		</span><span class="kt">integer</span> <span class="kd">::</span> <span class="n">iBoundary</span>
<a id="ln-104" name="ln-104"></a>		<span class="c">!! target boundary</span>
<a id="ln-105" name="ln-105"></a>
<a id="ln-106" name="ln-106"></a>		<span class="kt">integer</span> <span class="kd">::</span> <span class="n">iBFace</span>
<a id="ln-107" name="ln-107"></a>		<span class="c">!! target boundary face</span>
<a id="ln-108" name="ln-108"></a>
<a id="ln-109" name="ln-109"></a>		<span class="kt">integer</span> <span class="kd">::</span> <span class="k">is</span>
<a id="ln-110" name="ln-110"></a>		<span class="c">!! start face of the target boundary</span>
<a id="ln-111" name="ln-111"></a>
<a id="ln-112" name="ln-112"></a>		<span class="kt">integer</span> <span class="kd">::</span> <span class="n">ie</span>
<a id="ln-113" name="ln-113"></a>		<span class="c">!! end face of the target boundary</span>
<a id="ln-114" name="ln-114"></a>
<a id="ln-115" name="ln-115"></a>		<span class="kt">integer</span> <span class="kd">::</span> <span class="n">iOwner</span>
<a id="ln-116" name="ln-116"></a>		<span class="c">!! owner of the target boundary face</span>
<a id="ln-117" name="ln-117"></a>
<a id="ln-118" name="ln-118"></a>		<span class="kt">integer</span> <span class="kd">::</span><span class="n">fComp</span>
<a id="ln-119" name="ln-119"></a>		<span class="c">!! number of field components</span>
<a id="ln-120" name="ln-120"></a>
<a id="ln-121" name="ln-121"></a>		<span class="kt">integer</span> <span class="kd">::</span> <span class="n">patchFace</span>
<a id="ln-122" name="ln-122"></a>		<span class="c">!! auxiliary loop index</span>
<a id="ln-123" name="ln-123"></a>	<span class="c">!------------------------------------------------------------------------------------------------------------------</span>
<a id="ln-124" name="ln-124"></a>	
<a id="ln-125" name="ln-125"></a>		<span class="kt">real</span> <span class="kd">::</span> <span class="n">phi</span><span class="p">(</span><span class="n">numberOfElements</span><span class="o">+</span><span class="n">numberOfBFaces</span><span class="p">,</span> <span class="n">fComp</span><span class="p">)</span>
<a id="ln-126" name="ln-126"></a>		<span class="c">!! field to be updated</span>
<a id="ln-127" name="ln-127"></a>
<a id="ln-128" name="ln-128"></a>		<span class="kt">real</span> <span class="kd">::</span> <span class="n">phi0</span><span class="p">(</span><span class="n">fComp</span><span class="p">)</span>
<a id="ln-129" name="ln-129"></a>		<span class="c">!! value to be assigned at the target boundary</span>
<a id="ln-130" name="ln-130"></a>	<span class="c">!------------------------------------------------------------------------------------------------------------------</span>
<a id="ln-131" name="ln-131"></a>
<a id="ln-132" name="ln-132"></a>		<span class="k">is</span> <span class="o">=</span> <span class="n">mesh</span><span class="p">%</span><span class="n">boundaries</span><span class="p">%</span><span class="n">startFace</span><span class="p">(</span><span class="n">iBoundary</span><span class="p">)</span>
<a id="ln-133" name="ln-133"></a>		<span class="n">ie</span> <span class="o">=</span> <span class="k">is</span><span class="o">+</span><span class="n">mesh</span><span class="p">%</span><span class="n">boundaries</span><span class="p">%</span><span class="n">nFace</span><span class="p">(</span><span class="n">iBoundary</span><span class="p">)</span><span class="o">-</span><span class="mi">1</span>
<a id="ln-134" name="ln-134"></a>		<span class="n">patchFace</span><span class="o">=</span><span class="k">is</span><span class="o">-</span><span class="n">numberOfIntFaces</span>
<a id="ln-135" name="ln-135"></a>
<a id="ln-136" name="ln-136"></a>		<span class="k">do </span><span class="n">iBFace</span><span class="o">=</span><span class="k">is</span><span class="p">,</span><span class="n">ie</span>
<a id="ln-137" name="ln-137"></a>			<span class="n">patchFace</span><span class="o">=</span><span class="n">patchFace</span><span class="o">+</span><span class="mi">1</span>
<a id="ln-138" name="ln-138"></a>			<span class="n">phi</span><span class="p">(</span><span class="n">patchFace</span><span class="p">,:)</span><span class="o">=</span><span class="n">phi0</span>
<a id="ln-139" name="ln-139"></a>		<span class="k">enddo</span>
<a id="ln-140" name="ln-140"></a>
<a id="ln-141" name="ln-141"></a><span class="k">	end subroutine </span><span class="n">updateVelocityInletBoundaryField</span>
<a id="ln-142" name="ln-142"></a>
<a id="ln-143" name="ln-143"></a><span class="c">! *********************************************************************************************************************</span>
<a id="ln-144" name="ln-144"></a>
<a id="ln-145" name="ln-145"></a>	<span class="k">subroutine </span><span class="n">updateCustomInletBoundaryField</span><span class="p">(</span><span class="n">phi</span><span class="p">,</span> <span class="n">iBoundary</span><span class="p">,</span> <span class="n">expr</span><span class="p">,</span> <span class="n">fComp</span><span class="p">)</span>
<a id="ln-146" name="ln-146"></a>
<a id="ln-147" name="ln-147"></a>	<span class="c">!==================================================================================================================</span>
<a id="ln-148" name="ln-148"></a>	<span class="c">! Description:</span>
<a id="ln-149" name="ln-149"></a>	<span class="c">!! updateVelocityInletBoundaryField is the same as updateDiricheletBoundaryField, but the boundary expression can be parsed</span>
<a id="ln-150" name="ln-150"></a>	<span class="c">!! from the boundary codition file, allowing for custom expressions.</span>
<a id="ln-151" name="ln-151"></a>	<span class="c">!==================================================================================================================</span>
<a id="ln-152" name="ln-152"></a>
<a id="ln-153" name="ln-153"></a>		<span class="k">use </span><span class="n">meshvar</span>
<a id="ln-154" name="ln-154"></a>		<span class="k">use </span><span class="n">globalTimeVar</span>
<a id="ln-155" name="ln-155"></a>
<a id="ln-156" name="ln-156"></a>		<span class="k">implicit none</span>
<a id="ln-157" name="ln-157"></a>
<a id="ln-158" name="ln-158"></a><span class="k">		</span><span class="kt">character</span><span class="p">(</span><span class="nb">len</span> <span class="o">=</span> <span class="mi">10</span><span class="p">),</span> <span class="k">dimension</span><span class="p">(</span><span class="mi">4</span><span class="p">)</span> <span class="kd">::</span> <span class="n">variables</span>
<a id="ln-159" name="ln-159"></a>		<span class="c">!! variables in string</span>
<a id="ln-160" name="ln-160"></a>
<a id="ln-161" name="ln-161"></a>		<span class="kt">character</span><span class="p">(</span><span class="o">*</span><span class="p">),</span> <span class="k">dimension</span><span class="p">(</span><span class="n">fComp</span><span class="p">)</span> <span class="kd">::</span> <span class="n">expr</span>
<a id="ln-162" name="ln-162"></a>		<span class="c">!! expression passed to the interpreter</span>
<a id="ln-163" name="ln-163"></a>
<a id="ln-164" name="ln-164"></a>		<span class="kt">character</span><span class="p">(</span><span class="nb">len</span><span class="o">=</span><span class="mi">500</span><span class="p">)</span> <span class="kd">::</span> <span class="n">func</span>
<a id="ln-165" name="ln-165"></a>		<span class="c">!! expression parsed from the boundary condition file</span>
<a id="ln-166" name="ln-166"></a>	<span class="c">!------------------------------------------------------------------------------------------------------------------</span>
<a id="ln-167" name="ln-167"></a>
<a id="ln-168" name="ln-168"></a>		<span class="kt">integer</span> <span class="kd">::</span> <span class="n">iBoundary</span><span class="p">,</span> <span class="k">is</span><span class="p">,</span> <span class="n">ie</span><span class="p">,</span> <span class="n">iOwner</span><span class="p">,</span> <span class="n">patchFace</span>
<a id="ln-169" name="ln-169"></a>
<a id="ln-170" name="ln-170"></a>		<span class="kt">integer</span> <span class="kd">::</span> <span class="n">i</span>
<a id="ln-171" name="ln-171"></a>		<span class="c">!! loop index</span>
<a id="ln-172" name="ln-172"></a>
<a id="ln-173" name="ln-173"></a>		<span class="kt">integer</span> <span class="kd">::</span> <span class="n">iBFace</span>
<a id="ln-174" name="ln-174"></a>		<span class="c">!! boundary face loop index</span>
<a id="ln-175" name="ln-175"></a>
<a id="ln-176" name="ln-176"></a>		<span class="kt">integer</span><span class="kd">::</span> <span class="n">iComp</span>
<a id="ln-177" name="ln-177"></a>		<span class="c">!! taget components</span>
<a id="ln-178" name="ln-178"></a>
<a id="ln-179" name="ln-179"></a>		<span class="kt">integer</span> <span class="kd">::</span> <span class="n">fComp</span>
<a id="ln-180" name="ln-180"></a>		<span class="c">!! number of field components</span>
<a id="ln-181" name="ln-181"></a>	<span class="c">!------------------------------------------------------------------------------------------------------------------</span>
<a id="ln-182" name="ln-182"></a>
<a id="ln-183" name="ln-183"></a>		<span class="kt">real</span> <span class="kd">::</span> <span class="n">phi</span><span class="p">(</span><span class="n">numberOfElements</span><span class="o">+</span><span class="n">numberOfBFaces</span><span class="p">,</span> <span class="n">fComp</span><span class="p">),</span> <span class="n">pi</span>
<a id="ln-184" name="ln-184"></a>	<span class="c">!------------------------------------------------------------------------------------------------------------------</span>
<a id="ln-185" name="ln-185"></a>
<a id="ln-186" name="ln-186"></a>		<span class="kt">real</span> <span class="kd">::</span> <span class="n">variablesValues</span><span class="p">(</span><span class="mi">4</span><span class="p">)</span>
<a id="ln-187" name="ln-187"></a>		<span class="c">!! name of the variables to be interpreted</span>
<a id="ln-188" name="ln-188"></a>
<a id="ln-189" name="ln-189"></a>		<span class="kt">real</span> <span class="kd">::</span> <span class="n">val</span>
<a id="ln-190" name="ln-190"></a>		<span class="c">!! auxiliary number</span>
<a id="ln-191" name="ln-191"></a>
<a id="ln-192" name="ln-192"></a>		<span class="kt">real</span> <span class="kd">::</span> <span class="n">getBoundaryFieldValue</span>
<a id="ln-193" name="ln-193"></a>		<span class="c">!! function to get the interpreted fiedl value</span>
<a id="ln-194" name="ln-194"></a>	<span class="c">!------------------------------------------------------------------------------------------------------------------</span>
<a id="ln-195" name="ln-195"></a>
<a id="ln-196" name="ln-196"></a>		<span class="k">is</span> <span class="o">=</span> <span class="n">mesh</span><span class="p">%</span><span class="n">boundaries</span><span class="p">%</span><span class="n">startFace</span><span class="p">(</span><span class="n">iBoundary</span><span class="p">)</span>
<a id="ln-197" name="ln-197"></a>		<span class="n">ie</span> <span class="o">=</span> <span class="k">is</span><span class="o">+</span><span class="n">mesh</span><span class="p">%</span><span class="n">boundaries</span><span class="p">%</span><span class="n">nFace</span><span class="p">(</span><span class="n">iBoundary</span><span class="p">)</span><span class="o">-</span><span class="mi">1</span>
<a id="ln-198" name="ln-198"></a>		<span class="n">patchFace</span><span class="o">=</span><span class="n">numberOfElements</span> <span class="o">+</span> <span class="p">(</span><span class="k">is</span><span class="o">-</span><span class="n">numberOfIntFaces</span><span class="o">-</span><span class="mi">1</span><span class="p">)</span>
<a id="ln-199" name="ln-199"></a>
<a id="ln-200" name="ln-200"></a>		<span class="n">variables</span><span class="p">(</span><span class="mi">1</span><span class="p">)</span> <span class="o">=</span> <span class="s1">&#39;x&#39;</span>
<a id="ln-201" name="ln-201"></a>		<span class="n">variables</span><span class="p">(</span><span class="mi">2</span><span class="p">)</span> <span class="o">=</span> <span class="s1">&#39;y&#39;</span>
<a id="ln-202" name="ln-202"></a>		<span class="n">variables</span><span class="p">(</span><span class="mi">3</span><span class="p">)</span> <span class="o">=</span> <span class="s1">&#39;z&#39;</span>
<a id="ln-203" name="ln-203"></a>		<span class="n">variables</span><span class="p">(</span><span class="mi">4</span><span class="p">)</span> <span class="o">=</span> <span class="s1">&#39;t&#39;</span>
<a id="ln-204" name="ln-204"></a>
<a id="ln-205" name="ln-205"></a>		<span class="k">do </span><span class="n">iComp</span><span class="o">=</span><span class="mi">1</span><span class="p">,</span><span class="n">fComp</span>
<a id="ln-206" name="ln-206"></a>
<a id="ln-207" name="ln-207"></a>			<span class="k">do </span><span class="n">iBFace</span><span class="o">=</span><span class="k">is</span><span class="p">,</span><span class="n">ie</span>
<a id="ln-208" name="ln-208"></a>
<a id="ln-209" name="ln-209"></a>				<span class="n">patchFace</span><span class="o">=</span><span class="n">patchFace</span><span class="o">+</span><span class="mi">1</span>
<a id="ln-210" name="ln-210"></a>
<a id="ln-211" name="ln-211"></a>				<span class="c">! variables</span>
<a id="ln-212" name="ln-212"></a>				<span class="n">variablesValues</span><span class="p">(</span><span class="mi">1</span><span class="p">)</span> <span class="o">=</span> <span class="n">mesh</span><span class="p">%</span><span class="n">fcentroid</span><span class="p">(</span><span class="n">iBFace</span><span class="p">,</span><span class="mi">1</span><span class="p">)</span> <span class="c">! x</span>
<a id="ln-213" name="ln-213"></a>				<span class="n">variablesValues</span><span class="p">(</span><span class="mi">2</span><span class="p">)</span> <span class="o">=</span> <span class="n">mesh</span><span class="p">%</span><span class="n">fcentroid</span><span class="p">(</span><span class="n">iBFace</span><span class="p">,</span><span class="mi">2</span><span class="p">)</span> <span class="c">! y</span>
<a id="ln-214" name="ln-214"></a>				<span class="n">variablesValues</span><span class="p">(</span><span class="mi">3</span><span class="p">)</span> <span class="o">=</span> <span class="n">mesh</span><span class="p">%</span><span class="n">fcentroid</span><span class="p">(</span><span class="n">iBFace</span><span class="p">,</span><span class="mi">3</span><span class="p">)</span> <span class="c">! z</span>
<a id="ln-215" name="ln-215"></a>				<span class="n">variablesValues</span><span class="p">(</span><span class="mi">4</span><span class="p">)</span> <span class="o">=</span> <span class="nb">time</span> <span class="c">! t</span>
<a id="ln-216" name="ln-216"></a>
<a id="ln-217" name="ln-217"></a>				<span class="c">! Set the your boundary field</span>
<a id="ln-218" name="ln-218"></a>				<span class="n">val</span> <span class="o">=</span> <span class="n">getBoundaryFieldValue</span><span class="p">(</span><span class="n">expr</span><span class="p">(</span><span class="n">iComp</span><span class="p">),</span> <span class="n">variables</span><span class="p">,</span> <span class="n">variablesValues</span><span class="p">)</span>
<a id="ln-219" name="ln-219"></a>				<span class="n">phi</span><span class="p">(</span><span class="n">patchFace</span><span class="p">,</span> <span class="n">iComp</span><span class="p">)</span> <span class="o">=</span> <span class="n">val</span>
<a id="ln-220" name="ln-220"></a>
<a id="ln-221" name="ln-221"></a>			<span class="k">enddo</span>
<a id="ln-222" name="ln-222"></a>
<a id="ln-223" name="ln-223"></a><span class="k">		enddo</span>
<a id="ln-224" name="ln-224"></a>
<a id="ln-225" name="ln-225"></a><span class="k">	end subroutine </span><span class="n">updateCustomInletBoundaryField</span>
<a id="ln-226" name="ln-226"></a>
<a id="ln-227" name="ln-227"></a><span class="c">! *********************************************************************************************************************</span>
<a id="ln-228" name="ln-228"></a>
<a id="ln-229" name="ln-229"></a>	<span class="k">subroutine </span><span class="n">velocityInletBoundaryDiffusionOnly</span><span class="p">(</span><span class="n">iBFace</span><span class="p">,</span> <span class="n">aC</span><span class="p">,</span> <span class="n">bC</span><span class="p">,</span> <span class="n">phib</span><span class="p">,</span> <span class="n">mu</span><span class="p">)</span>
<a id="ln-230" name="ln-230"></a>
<a id="ln-231" name="ln-231"></a>	<span class="c">!==================================================================================================================</span>
<a id="ln-232" name="ln-232"></a>	<span class="c">! Description:</span>
<a id="ln-233" name="ln-233"></a>	<span class="c">!! velocityInletBoundary computes computes the diagonal coefficient and rhs correction when an inlet (specified velocity)</span>
<a id="ln-234" name="ln-234"></a>	<span class="c">!!	boundary condition is applied.</span>
<a id="ln-235" name="ln-235"></a>	<span class="c">!! The correction reads:</span>
<a id="ln-236" name="ln-236"></a>	<span class="c">!! \begin{eqnarray}</span>
<a id="ln-237" name="ln-237"></a>	<span class="c">!!    &amp;textbf{a}_C^b = \mu_b\frac{|S_b|}{d_{\perp}}(1-\textbf{n}_b^2) \\</span>
<a id="ln-238" name="ln-238"></a>	<span class="c">!!    &amp;textbf{b}_C^b = -m_f\textbf{u}_b + \mu_b\frac{|S_b|}{d_{\perp}}\textbf{u}_b</span>
<a id="ln-239" name="ln-239"></a>	<span class="c">!! \end{eqnarray}</span>
<a id="ln-240" name="ln-240"></a>	<span class="c">!==================================================================================================================</span>
<a id="ln-241" name="ln-241"></a>
<a id="ln-242" name="ln-242"></a>		<span class="c">! modules</span>
<a id="ln-243" name="ln-243"></a>		<span class="k">use </span><span class="n">meshvar</span>
<a id="ln-244" name="ln-244"></a>		<span class="k">use </span><span class="n">massFlowVar</span>
<a id="ln-245" name="ln-245"></a>
<a id="ln-246" name="ln-246"></a>		<span class="c">! arguments</span>
<a id="ln-247" name="ln-247"></a>		<span class="k">implicit none</span>
<a id="ln-248" name="ln-248"></a>
<a id="ln-249" name="ln-249"></a><span class="k">		</span><span class="kt">integer</span> <span class="kd">::</span> <span class="n">iBFace</span>
<a id="ln-250" name="ln-250"></a>		<span class="c">!! target boundary face</span>
<a id="ln-251" name="ln-251"></a>		<span class="c">!------------------------------------------------------------------------------------------------------------------</span>
<a id="ln-252" name="ln-252"></a>
<a id="ln-253" name="ln-253"></a>		<span class="kt">real</span> <span class="kd">::</span> <span class="n">aC</span><span class="p">(</span><span class="mi">3</span><span class="p">)</span>
<a id="ln-254" name="ln-254"></a>		<span class="c">!! diagonal coefficient corretion due to the velocity inlet boundary condition at the target boundary face owner</span>
<a id="ln-255" name="ln-255"></a>
<a id="ln-256" name="ln-256"></a>		<span class="kt">real</span> <span class="kd">::</span> <span class="n">bC</span><span class="p">(</span><span class="mi">3</span><span class="p">)</span>
<a id="ln-257" name="ln-257"></a>		<span class="c">!! right hand side corretion due to the velocity inlet boundary condition</span>
<a id="ln-258" name="ln-258"></a>
<a id="ln-259" name="ln-259"></a>		<span class="kt">real</span> <span class="kd">::</span> <span class="n">phib</span><span class="p">(</span><span class="mi">3</span><span class="p">)</span>
<a id="ln-260" name="ln-260"></a>		<span class="c">!! velocity value prescribed at the target boundary</span>
<a id="ln-261" name="ln-261"></a>
<a id="ln-262" name="ln-262"></a>		<span class="kt">real</span> <span class="kd">::</span> <span class="n">nf</span><span class="p">(</span><span class="mi">3</span><span class="p">)</span>
<a id="ln-263" name="ln-263"></a>		<span class="c">!! surface normal at a target boundary face</span>
<a id="ln-264" name="ln-264"></a>
<a id="ln-265" name="ln-265"></a>		<span class="kt">real</span> <span class="kd">::</span> <span class="n">mu</span>
<a id="ln-266" name="ln-266"></a>		<span class="c">!! dinamic viscosity at a target boundary face</span>
<a id="ln-267" name="ln-267"></a>
<a id="ln-268" name="ln-268"></a>		<span class="kt">real</span> <span class="kd">::</span> <span class="n">corr</span><span class="p">(</span><span class="mi">3</span><span class="p">)</span>
<a id="ln-269" name="ln-269"></a>		<span class="c">!! auxliary variable used to hos the full correction (convective + diffusive term)</span>
<a id="ln-270" name="ln-270"></a>	<span class="c">!------------------------------------------------------------------------------------------------------------------</span>
<a id="ln-271" name="ln-271"></a>
<a id="ln-272" name="ln-272"></a>		<span class="c">! Get surface normal</span>
<a id="ln-273" name="ln-273"></a>		<span class="n">nf</span> <span class="o">=</span> <span class="n">mesh</span><span class="p">%</span><span class="n">Sf</span><span class="p">(</span><span class="n">iBFace</span><span class="p">,:)</span><span class="o">/</span><span class="n">mesh</span><span class="p">%</span><span class="n">area</span><span class="p">(</span><span class="n">iBFace</span><span class="p">)</span>
<a id="ln-274" name="ln-274"></a>
<a id="ln-275" name="ln-275"></a>		<span class="n">corr</span> <span class="o">=</span> <span class="n">mu</span><span class="o">*</span><span class="n">mesh</span><span class="p">%</span><span class="n">gDiff</span><span class="p">(</span><span class="n">iBFace</span><span class="p">)</span><span class="o">*</span><span class="p">(</span><span class="mi">1</span><span class="o">-</span><span class="n">nf</span><span class="o">**</span><span class="mi">2</span><span class="p">)</span>
<a id="ln-276" name="ln-276"></a>		<span class="n">aC</span> <span class="o">=</span>  <span class="n">mu</span><span class="o">*</span><span class="n">mesh</span><span class="p">%</span><span class="n">gDiff</span><span class="p">(</span><span class="n">iBFace</span><span class="p">)</span><span class="o">*</span><span class="p">(</span><span class="mi">1</span><span class="o">-</span><span class="n">nf</span><span class="o">**</span><span class="mi">2</span><span class="p">)</span>
<a id="ln-277" name="ln-277"></a>		<span class="n">bC</span> <span class="o">=</span> <span class="n">corr</span><span class="o">*</span><span class="n">phib</span>
<a id="ln-278" name="ln-278"></a>
<a id="ln-279" name="ln-279"></a>	<span class="k">end subroutine </span><span class="n">velocityInletBoundaryDiffusionOnly</span>
<a id="ln-280" name="ln-280"></a>
<a id="ln-281" name="ln-281"></a><span class="c">! *********************************************************************************************************************</span>
</pre></div>

    </section>
    </div>
  </div>

  
    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>